发现这似乎接近我想要做的:
- (defun c:setlayoutname()
- (setq layoutname (vla-get-name (vla-get-ActiveLayout (vla-get-activedocument (vlax-get-acad-object )))))
- (setq AD (vla-get-activedocument (vlax-get-acad-object ))) ;;AD Active Document
- (setq AL (vla-get-ActiveLayout AD)) ;;AL Active Layout
- )
- (defun c:getplotrotation()
- (c:setlayoutname)
- (vla-get-PlotRotation AL)
- ;;; alt. (ac0degrees ac90degrees ac180degrees ac270degrees)
- (vla-put-PlotRotation AL ac0degrees)
- (princ (VLA-get-PlotRotation AL))
- )
从autodesk论坛:
http://forums.autodesk.com/t5/visual-lisp-autolisp-and-general/using-activex-lisp-to-get-set-plot-configuration/td-p/883677 |